<div id="body" class="container-fluid">
  <form [formGroup]="form" novalidate>
    <div class="form-row">
      <div class="form-group form-group-sm row col-24">
        <label class="col-form-label col col-lg-2 pr-1 text-right">ASR Type:</label>
        <div class="col col-lg-6 pl-0 pl-lg-1">
          <dx-select-box [dataSource]="asrTypeList" formControlName="asrType"
                         displayExpr="asrTypeDes" valueExpr="asrTypeId" searchMode="startswith"
                         [searchEnabled]="true" [searchExpr]="['asrTypeDes']"
                         (onValueChanged)="onAsrTypeChanged($event)">
          </dx-select-box>
        </div>
        <label class="col-form-label col col-lg-2 pr-1 text-right">Orig/Term:</label>
        <div class="col col-lg-14 pl-0 pl-lg-1">
          <dx-radio-group [items]="origTermList"
                          [value]="origTermList[1]"
                          layout="horizontal"
                          formControlName="origTerm">
          </dx-radio-group>
        </div>
        <span class="form-text">SPECIAL INSTRUCTIONS: Please fill in any additional requirements or information including: is MVRF required, reason for maintenance/change order, reuse of provisioning information i.e. router/port, NUA, IP address or Private Line number. We ask for this information to ensure we provision the order to meet customer needs and your requirements.</span>
      </div>
    </div>
    <mat-accordion *ngIf="asrType.value == 1">
      <mat-expansion-panel [expanded]="true" class="mb-2">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>SPA E Aggregated</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <div class="row" formGroupName="aggregated">
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-5 pr-1 text-right">Access City Name &amp; Site Code:</label>
            <div class="col col-lg-6 pl-0 pl-lg-1">
              <input type="text" class="form-control form-control-sm" formControlName="accessCityNameSiteCode" />
            </div>
            <label class="col-form-label col col-lg-5 pr-1 text-right">IP Node (TOC/Router location &amp; Site Code):</label>
            <div class="col col-lg-6 pl-0 pl-lg-1">
              <input type="text" class="form-control form-control-sm" formControlName="ipNode" />
            </div>
          </div>
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-5 pr-1 text-right">Access Bandwidth (not port or service speed):</label>
            <div class="col col-lg-6 pl-0 pl-lg-1">
              <dx-select-box [dataSource]="selectedAccessMbList" formControlName="accessBandwidth"
                             displayExpr="accsMbDes" valueExpr="accsMbDes" searchMode="startswith"
                             [searchEnabled]="true" [searchExpr]="['accsMbDes']">
              </dx-select-box>
            </div>
            <label class="col-form-label col col-lg-5 pr-1 text-right">Transparent:</label>
            <div class="col col-lg-6 pl-0 pl-lg-1">
              <dx-radio-group [items]="yesNoList"
                              [value]="yesNoList[1]"
                              layout="horizontal"
                              formControlName="transparent">
              </dx-radio-group>
            </div>
          </div>
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-5 pr-1 text-right">Partner and Carrier Code (access vendor):</label>
            <div class="col col-lg-6 pl-0 pl-lg-1">
              <input type="text" class="form-control form-control-sm" formControlName="partnerCarrierCode" />
            </div>
            <label class="col-form-label col col-lg-5 pr-1 text-right">LEC NNI (9 digit numeric value):</label>
            <div class="col col-lg-6 pl-0 pl-lg-1">
              <input type="text" class="form-control form-control-sm" formControlName="lecNni" />
            </div>
          </div>
        </div>
      </mat-expansion-panel>
    </mat-accordion>
    <mat-accordion *ngIf="asrType.value == 2">
      <mat-expansion-panel [expanded]="true" class="mb-2">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>SPA E Dedicated</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <div class="row" formGroupName="dedicated">
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-5 pr-1 text-right">IP Node (TOC/Router location &amp; Site Code):</label>
            <div class="col col-lg-6 pl-0 pl-lg-1">
              <input type="text" class="form-control form-control-sm" formControlName="ipNode" />
            </div>
            <label class="col-form-label col col-lg-6 pr-1 text-right">Access Bandwidth (not port or service speed):</label>
            <div class="col col-lg-6 pl-0 pl-lg-1">
              <dx-select-box [dataSource]="selectedAccessMbList" formControlName="accessBandwidth"
                             displayExpr="accsMbDes" valueExpr="accsMbDes" searchMode="startswith"
                             [searchEnabled]="true" [searchExpr]="['accsMbDes']">
              </dx-select-box>
            </div>
          </div>
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-5 pr-1 text-right">Partner and Carrier Code (access vendor):</label>
            <div class="col col-lg-6 pl-0 pl-lg-1">
              <input type="text" class="form-control form-control-sm" formControlName="partnerCarrierCode" />
            </div>
          </div>
        </div>
      </mat-expansion-panel>
    </mat-accordion>
    <mat-accordion *ngIf="asrType.value == 3">
      <mat-expansion-panel [expanded]="true" class="mb-2">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>TDM</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <div class="row" formGroupName="tdm">
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-5 pr-1 text-right">IP Node (TOC/Router location &amp; Site Code):</label>
            <div class="col col-lg-6 pl-0 pl-lg-1">
              <input type="text" class="form-control form-control-sm" formControlName="ipNode" />
            </div>
            <label class="col-form-label col col-lg-6 pr-1 text-right">Access Bandwidth (not port or service speed):</label>
            <div class="col col-lg-6 pl-0 pl-lg-1">
              <dx-select-box [dataSource]="selectedAccessMbList" formControlName="accessBandwidth"
                             displayExpr="accsMbDes" valueExpr="accsMbDes" searchMode="startswith"
                             [searchEnabled]="true" [searchExpr]="['accsMbDes']">
              </dx-select-box>
            </div>
          </div>
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-5 pr-1 text-right">Partner and Carrier Code (access vendor):</label>
            <div class="col col-lg-6 pl-0 pl-lg-1">
              <input type="text" class="form-control form-control-sm" formControlName="partnerCarrierCode" />
            </div>
            <label class="col-form-label col col-lg-6 pr-1 text-right">Entrance Assignment:</label>
            <div class="col col-lg-6 pl-0 pl-lg-1">
              <input type="text" class="form-control form-control-sm" formControlName="entranceAssignment" />
            </div>
          </div>
        </div>
      </mat-expansion-panel>
    </mat-accordion>
    <mat-accordion *ngIf="asrType.value == 4">
      <mat-expansion-panel [expanded]="true" class="mb-2">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>IPL+DP</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <div class="row" formGroupName="ipl">
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-5 pr-1 text-right">IP Node (TOC/Router location &amp; Site Code):</label>
            <div class="col col-lg-6 pl-0 pl-lg-1">
              <input type="text" class="form-control form-control-sm" formControlName="ipNode" />
            </div>
            <label class="col-form-label col col-lg-5 pr-1 text-right">Access Bandwidth (not port or service speed):</label>
            <div class="col col-lg-6 pl-0 pl-lg-1">
              <dx-select-box [dataSource]="selectedAccessMbList" formControlName="accessBandwidth"
                             displayExpr="accsMbDes" valueExpr="accsMbDes" searchMode="startswith"
                             [searchEnabled]="true" [searchExpr]="['accsMbDes']">
              </dx-select-box>
            </div>
          </div>
        </div>
      </mat-expansion-panel>
    </mat-accordion>
    <mat-accordion *ngIf="asrType.value == 5">
      <mat-expansion-panel [expanded]="true" class="mb-2">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>Off net</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <div class="row" formGroupName="offnet">
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-4 pr-1 text-right">What is the Master VAS M5 #:</label>
            <div class="col col-lg-6 pl-0 pl-lg-1">
              <input type="text" class="form-control form-control-sm" formControlName="masterVas" />
            </div>
            <label class="col-form-label col col-lg-2 pr-1 text-right">DLCI:</label>
            <div class="col col-lg-6 pl-0 pl-lg-1">
              <input type="text" class="form-control form-control-sm" formControlName="dlci" />
            </div>
          </div>
          <div class="form-group form-group-sm row col-24">
            <label class="col-form-label col col-lg-4 pr-1 text-right">Does the H1 match the Master VAS:</label>
            <div class="col col-lg-6 pl-0 pl-lg-1">
              <dx-radio-group [items]="yesNoList"
                              [value]="yesNoList[1]"
                              layout="horizontal"
                              formControlName="isH1Matched">
              </dx-radio-group>
            </div>
          </div>
        </div>
      </mat-expansion-panel>
    </mat-accordion>
    <mat-accordion>
      <mat-expansion-panel [expanded]="true" class="mb-2">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>Notes</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <div class="form-group form-group-sm row col-24">
          <label class="col-form-label col col-lg-3 pr-1 text-right">Notes:</label>
          <div class="col col-lg-21 pl-0 pl-lg-1">
            <textarea class="form-control form-control-sm" rows="4" formControlName="notes"></textarea>
            <span class="form-text">{{ 500 - (form.get("notes").value?.length > 500 ? 500 : form.get("notes").value?.length) }} characters left</span>
          </div>
        </div>
      </mat-expansion-panel>
    </mat-accordion>
  </form>
  <div class="form-row text-center">
    <div class="form-group form-group-sm col-12 col-md-4">
      <button type="button" class="btn btn-sm btn-primary btn-block" (click)="submit()">
        Submit
      </button>
    </div>
  </div>
</div>
